#!/usr/bin/perl -w

use strict;
use DB_File;

my $infile = shift || die "specify infile!";

open(IN,$infile) || die "can't open $infile!";

my $datfile = shift || $infile;
if( $datfile =~ /\.txt/ )
{
  $datfile =~ s/\.txt//;
  $datfile = "$datfile.dat";
}

my %h;

while( my $line = <IN> )
{
  chomp $line;
  my @a = split /\s+/,$line;
  $h{$a[0]} = $a[1];
}

if( -e $datfile ) {
  unlink $datfile;
}

my %s;
tie %s, 'DB_File', $datfile;
foreach my $k (keys %h)
{
  $s{$k} = $h{$k};
}
untie %s;


