#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>
#include <math.h>
#include <iostream>
#include <fstream>

using namespace std;

main(int argc, char** argv)
{
  char *pssmfile = argv[1];
  char *paramfile = argv[2];

  // read in the matrix file
    ifstream ifp1;
    ifp1.open(pssmfile,ios::in);

    if(!ifp1.is_open()) {
      printf("can't open %s\n", pssmfile);
      exit(1);
    }

    int maxScore;
    int lengthOfMotif;

    ifp1 >> maxScore;
  ifp1 >> lengthOfMotif;


  double array1[maxScore+1];
  double array2[maxScore+1];

  double station[4];

  ifstream ifp2;
  float tempf;
  char temps[200];

  ifp2.open(paramfile,ios::in);

  if(!ifp2.is_open()) {
      printf("can't open %s\n", paramfile);
      exit(1);
  }

  // stationary
  for(int i=0; i<4; i++) {
      ifp2 >> tempf;
      station[i] = tempf;
      //printf("read %3.2f\n",station[i]);
  }

  int max1 = 0;
  int max = 0;

  int temp3=0;

  int weight[4][lengthOfMotif];

  for(int j=0; j<lengthOfMotif; j++)
    for(int i=0; i<4; i++)
      ifp1 >> weight[i][j];

  // algorithm!!

  for(int j=0; j<maxScore + 1; j++) {
        array1[j] = 0.0;
        array2[j] = 0.0;
  }

  array1[0] = 1.0;

  for(int p=0; p<lengthOfMotif;p++){
       for(int j=0; j < 4; j++) // over pgf
  	     for(int k=0; k<(max1+1); k++) { // over score
  	        temp3 = k + weight[j][p];
  	        if(temp3 > max)
  	           max = temp3;
  	        array2[temp3] = array2[temp3]
  	          + array1[k] * station[j];
  	        //cout << p << " " << array2[temp3] << endl;
  	     }



      for(int j = 0; j<maxScore+1; j++) {
  	     array1[j] = array2[j];
  	     array2[j] = 0.0;
      }

   	max1 = max;

  }

    double dis = 0.0;

	  for(int i=max1; i>=0; i--) {
		dis = dis + array1[i];
		printf("%i %20.15f %20.15f\n",i,array1[i], dis);
	  }

//	cout << array1[0] << "try" << endl;

	  ifp1.close();
	  ifp2.close();

	  exit(0);
}
