#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>
#include <math.h>
#include <fstream.h>
#include <iostream.h>

main(int argc, char** argv)
{
  char *pssmfile = argv[1];
  char *bgseqfile = argv[2];
  // char *output = argv[3];

  // read in the matrix file
  ifstream ifp1;
  ifp1.open(pssmfile,ios::in);

  if(!ifp1.is_open()) {
    printf("can't open %s\n", pssmfile);
    exit(1);
  }

  int maxScore;
  int lengthOfMotif;

  ifp1 >> maxScore;
  ifp1 >> lengthOfMotif;

  int weight[4][lengthOfMotif];


  for(int j=0; j<lengthOfMotif; j++)
     for(int i=0; i<4; i++)
        ifp1 >> weight[i][j];


  // read in the sequence data

  ifstream ifp2;
  ifp2.open(bgseqfile,ios::in);

  if(!ifp2.is_open()) {
    printf("can't open %s\n", bgseqfile);
    exit(1);
  }

  // open the output file for writing the
  // results


  // ofstream ifp3;
  // ifp3.open(output, ios::out | ios::binary);

  // if(!ifp3.is_open()) {
  //  printf("can't open %s\n", output);
  //  exit(1);
  // }


  // score each subsequence of length lengthOfMotif

  int seq[lengthOfMotif+1];
  char temp;
  char temps[300];
  int score;
  int i = 0;
  int position = 1;

  // ifp2.getline(temps,300);

  // cout << "done ?" <<endl;
  int flag = 1;

  while ( !ifp2.eof() ) {

    ifp2.getline(temps,300);
    flag = 1;
    i=0;

    while (flag>0 && !ifp2.eof()) {
      while (i < lengthOfMotif && !ifp2.eof() && flag >0) {
	
	temp = ifp2.get();
	// cout << temp <<endl;
      
	// printf("%i\t%c\n",i,temp);
	
	if (temp == 'A' || temp == 'a') {
	  seq[i] = 0;
	  i ++;
	}
	if (temp == 'C' || temp == 'c') {
	  seq[i] = 1;
	  i ++;
	}
	if (temp == 'G' || temp == 'g') {
	  seq[i] = 2;
	  i ++;
	}
	if (temp == 'T' || temp == 't') {
	  seq[i] = 3;
	  i ++;
	}
	if (temp == 'N' || temp == 'n') {
	  seq[i] = 4;
	  i ++;
	}
	if (temp == '\n') {
	  flag = 0;
	}
	
    }
    
      if (flag >0) {
	score = 0;
	if ( i == lengthOfMotif ) {
	  for (int j = 0; j < lengthOfMotif; j++) {
	    if(seq[j] != 4)
	    	score = score + weight[seq[j]][j];
	    if (j < lengthOfMotif - 1)
	      seq[j] = seq[j+1];
	    else
	      seq[j] = 0;
	  }
	  //   ifp3 << score <<endl;
	  cout << score << endl;
	}
	
	
	//position ++ ;
	i = lengthOfMotif - 1;
	//  if (position == 20000)
	//  flag = 0;
      }
    }
    
  }
  
  ifp1.close();
  ifp2.close();
  //   ifp3.close();
  
  exit(0);
}












